# BuildDocksStationWindow Struct Reference

Inheritance diagram for BuildDocksStationWindow:

## Public Member Functions
| BuildDocksStationWindow (const WindowDesc *desc, Window *parent)
virtual void | OnPaint ()
| The window must be repainted.
virtual void | OnClick (Point pt, int widget, int click_count)
| A click with the left mouse button has been made on the window.
virtual void | OnTick ()
| Called once per (game) tick.

## Detailed Description

Definition at line 351 of file dock_gui.cpp.

## Member Function Documentation

virtual void BuildDocksStationWindow::OnClick | ( | Point | pt,
|  | int | widget,
|  | int | click_count |
| ) |  |  | `[inline, virtual]`

A click with the left mouse button has been made on the window.

Parameters:

  | pt | the point inside the window that has been clicked.
  | widget | the clicked widget.
  | click_count | Number of fast consecutive clicks at same position

Reimplemented from Window.

Definition at line 389 of file dock_gui.cpp.

References _settings_client, BDSW_LT_OFF, BDSW_LT_ON, ClientSettings::gui, Window::LowerWidget(), Window::RaiseWidget(), Window::SetDirty(), and GUISettings::station_show_coverage.

virtual void BuildDocksStationWindow::OnPaint | ( |  | ) | `[inline, virtual]`

The window must be repainted.

Note:
  This method should not change any state, it should only use drawing functions.

Reimplemented from Window.

Definition at line 364 of file dock_gui.cpp.

References _settings_client, _settings_game, BDSW_BACKGROUND, BDSW_LT_OFF, CA_DOCK, CA_UNMODIFIED, NWidgetBase::current_x, NWidgetBase::current_y, DrawStationCoverageAreaText(), Window::DrawWidgets(), ClientSettings::gui, StationSettings::modified_catchment, NWidgetBase::pos_x, NWidgetBase::pos_y, ResizeWindow(), SCT_ALL, SetTileSelectSize(), NWidgetBase::smallest_y, GameSettings::station, GUISettings::station_show_coverage, Window::top, WD_FRAMERECT_LEFT, WD_FRAMERECT_RIGHT, and WD_PAR_VSEP_NORMAL.

The documentation for this struct was generated from the following file:

- src/dock_gui.cpp